NI Software Version Support for NI ELVISmx Devices

Publish Date: May 06, 2014 | 2 Ratings | 2.50 out of 5 |  PDF

Overview

This article lists which NI software versions support NI ELVISmx devices.

Table of Contents

  1. Download Academic Software
  2. NI ELVISmx Hardware and Software
  3. Latest Windows Support for NI ELVISmx and NI ELVIS Traditional
  4. NI ELVISmx Version Support for NI LabIVEW
  5. NI ELVIS Traditional Version Support for NI LabVIEW
  6. Related Links

1. Download Academic Software

To Download the latest version of the NI ELVISmx driver click here
To Download the latest version of the NI ELVIS Traditional driver click here.
For the latest version of LabVIEW, go to ni.com/labview.

Back to Top

2. NI ELVISmx Hardware and Software

Note: If no version is listed, then the module is not supported by that software.

Hardware NI LabVIEW
(32 bit)
NI Multisim NI ELVISmx NI ELVIS Traditional NI-DAQmx* NI-DAQ Tradictional
NI myDAQ 8.5 or later 11.0 or later 4.2.2 or later - 9.1.6 or later -
NI ELVIS II 8.2 or later 10.1 or later 4.0 or later - 8.7.1 or later -
NI ELVIS II+ 8.2 or later 10.1 or later 4.1 or later - 8.9.0 or later -
NI ELVIS Traditional 6.1 or later - - 1.0 or later 7.4.0 or later** 6.9 or later

* NI-DAQmx is installed by the NI ELVISmx driver by default unless it is indicated that it does not on the drivers and downloads page
** NI ELVIS Traditional Moved to the NI-DAQmx driver as of version 2.0.5

Back to Top

3. Latest Windows Support for NI ELVISmx and NI ELVIS Traditional

OS NI ELVISmx NI ELVIS Traditional
Windows 7 Current Current
Windows Vista Current Current
Windows 2008 R2 Current Current
Windows 2003 R2
(32 bit only)
Current Current
Windows XP
(SP2, 32 bit only)
Current Current

"Current" indicates that the latest version of NI ELVISmx or NI ELVIS Traditional supports the indicated operating system. 

Back to Top

4. NI ELVISmx Version Support for NI LabIVEW

LabVIEW Version
(32 bit)
ELVISmx 4.0 ELVISmx 4.0.1 ELVISmx 4.1 ELVISmx 4.1.1 ELVISmx 4.2.1 ELVISmx 4.2.2 ELVISmx 4.2.3 ELVISmx 4.3 ELVISmx 4.3.1
8.2.1                  
8.5.1                  
8.6.1                  
2009                  
2010                  
2011                  

The areas in blue represent version of LabVIEW support for the given version of NI ELVISmx. 

Back to Top

5. NI ELVIS Traditional Version Support for NI LabVIEW

LabVIEW Version
(32 bit)
ELVIS 1.0 ELVIS 1.0.1 ELVIS 2.0.0 ELVIS 2.0.1 ELVIS 2.0.2 ELVIS 2.0.3 ELVIS 2.0.5 ELVIS 3.0 ELVIS 3.0.1 ELVIS 3.0.2 ELVIS 3.0.3 ELVIS 3.0.4 ELVIS 3.0.5 ELVIS 3.0.6
6.1                            
7.0                            
7.1                            
8.0                            
8.2.1                            
8.5.1                            
8.6.1                            
2009                            
2010                            
2011                            

The areas in blue represent version of LabVIEW support for the given version of NI ELVISmx.

Back to Top

6. Related Links

» ni.com/academic

» NI ELVIS

» NI myDAQ

» Using NI myDAQ with NI ELVISmx Software Instruments

» NI-DAQ and LabVIEW Version Compatibility (for Windows)

 

Back to Top

Bookmark & Share


Ratings

Rate this document

Answered Your Question?
Yes No

Submit